#include <iostream>
#include <algorithm>

using namespace std;

long druzeljubivost[100001];
long parovii[200005];
long poznanstva[200000];
int main()
{
	long n, m, i, j;
	long Q = 1;
	long brojac = 0;
	long negativni = 0;
	long ccc = 0;

	cin >> n >> m;

	for (i = 0; i < n; i++)
	{
		cin >> druzeljubivost[i];
	}

	for (i = 0; i < 2*m; i++)
	{
		cin >> parovii[i];
	}

	sort(parovii, parovii + 2*m);

	for (j = 0; j < m * 2; j++)
	{
		if (parovii[j] == Q)
		{
			poznanstva[Q]++;
		}
		else
		{
			Q++;
			poznanstva[Q]++;
		}
	}

	for (i = 0; i < n; i++)
	{
		if (druzeljubivost[i] < 0)
		{
			negativni = 1;
		}
		if (negativni == 1)
		{
			if (-druzeljubivost[i] >= n)
			{
				ccc = 1;

			}
		}
		if (ccc == 1)
		{
			
			poznanstva[i + 1] = -poznanstva[i + 1];
			break;
		}

	}

	for (i = 0; i < n; i++)
	{
		if (ccc)
		{
			poznanstva[i + 1] = -poznanstva[i + 1];
		}
	}

	for (i = 0; i < n; i++)
	{
		brojac += (druzeljubivost[i] * poznanstva[i + 1]);
	}
	cout << brojac << endl;
}